require 'net/ssh'

module Prepp
  class Target < Struct.new(:host, :user, :options)
    def connection
      @connection ||= Net::SSH.start(host, user, options)
    end

    def execute(commands)
      commands.each do |cmd|
        cmd.results << connection.exec!(cmd.to_s)
      end
    end
  end
end
